Redmine - Feature #2051

Code view/pre div width
2008-10-19 13:59 - Christoph Kappel

Status: Closed Start date: 2008-10-19
Priority: Low Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution:

Description

The width for "pre" is set to 95% and this doesn't work well with enabled TOC. (div.wiki pre/application.css:456)
With visible TOC "pre" elements will appear below the TOC and not next to it.

My suggestion is to set the width to auto to fix it.

Related issues:
Has duplicate Redmine - Defect #5795: Long wiki TOC and <pre> section breaks ... Closed 2010-07-01

History

#1 - 2008-10-31 12:57 - Harald Lapp

this bug behaves different on different browsers:

e safari: the code box is positioned above the toc, which is very annoying, because you -- of course -- can't read the toc in this case
o firefox: the code box is pushed down -- which breaks the layout, somehow

i second the suggestion to set the width to 'auto’. this should fix this in both browsers.

#2 - 2009-06-19 16:34 - Christoph Kappel

It can't be to difficult to fix this - | have to change it manually everytime | update Redmine..

#3 - 2011-03-21 20:08 - Matthias Geier

Is there a work-around (without changing the Redmine installation) until this gets fixed?

BTW, | think this one is a duplicate: #5795.

#4 - 2011-03-21 20:17 - Etienne Massip

- Target version set to Candidate for next minor release
Right, thanks.

#5 - 2011-03-27 17:06 - Jean-Philippe Lang

Looks like it was done some time ago in r3615.

Anyone can confirm ?

#6 - 2011-03-28 10:41 - Etienne Massip

Can't reproduce with trunk, indeed.

Matthias, could you please give some more details ?

#7 - 2011-03-29 19:29 - Etienne Massip

- Target version deleted (Candidate for next minor release)

#8 - 2012-10-28 19:04 - Daniel Felix

Well i think, this ticket could be closed too. Doesn't it?

#9 - 2012-10-28 21:49 - Jean-Philippe Lang
https://www.redmine.org/issues/5795
https://www.redmine.org/projects/redmine/repository/svn/revisions/3615

- Status changed from New to Closed

Indeed.
